Package org.eclipse.lemminx.services.extensions.codelens

## Interface ICodeLensParticipant

All Known Implementing Classes:
  `ContentModelCodeLensParticipant`, `DTDCodeLensParticipant`, `RNGCodeLensParticipant`, `XMLCatalogCodeLensParticipant`, `XMLReferencesCodeLensParticipant`, `XSDCodeLensParticipant`

    public interface ICodeLensParticipant

CodeLens participant API.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `doCodeLens​(ICodeLensRequest request, List<org.eclipse.lsp4j.CodeLens> lenses, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`

### Method Detail

#### doCodeLens

    void doCodeLens​(ICodeLensRequest request,
                    List<org.eclipse.lsp4j.CodeLens> lenses,
                    org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)